Package com.usatiuk.dhfs.peersync

# Interface InitialSyncProcessor<T extends JData>

All Known Implementing Classes:
  `JKleppmannTreeInitialSyncProcessor`, `RemoteObjectInitialSyncProcessor`

public interface InitialSyncProcessor<T extends JData>

## Method Summary

Modifier and Type
Method
Description
`void`
`handleCrash(JObjectKey key)`
`void`
`prepareForInitialSync(PeerId from, JObjectKey key)`

## Method Details

### prepareForInitialSync

void prepareForInitialSync(PeerId from, JObjectKey key)

### handleCrash

void handleCrash(JObjectKey key)